com.collabnet.ce.soap60.webservices.cemain

## Class TrackerFieldSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.TrackerFieldSoapDO

-     public class TrackerFieldSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  A TrackerFieldSoapDO defines a custom/flex field by specifying its name, type, etc.
  Change History
  Release: 4.4
  - Added userFilter and defaultUsernames
  - Added new static fields: FIELD_TYPE_DATE, FIELD_TYPE_MULTISELECT_USER, FIELD_USER_FILTER_ALL, FIELD_USER_FILTER_PROJECT_MEMBER, FIELD_VALUE_TYPE_DATE, FIELD_VALUE_TYPE_USER
  Release: 6.1
  - Added helptext and pattern field.
  - Added parentFieldId and parentChildFieldValueMap to support tracker field hierarchy.
  Since:
    4.3-Hotfix1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIELD_TYPE_DATE` Field type is date.
    `static String` | `FIELD_TYPE_FOLDER` Field type is a folder (planning folder).
    `static String` | `FIELD_TYPE_MULTISELECT` Field type is a multiselect (multiple choice of values).
    `static String` | `FIELD_TYPE_MULTISELECT_USER` Field type is multiselect username (multiple choice of usernames).
    `static String` | `FIELD_TYPE_SINGLE_SELECT` Field type is single select (choice of values).
    `static String` | `FIELD_TYPE_TEXT` Field type is plain text (integer or string).
    `static String` | `FIELD_USER_FILTER_ALL` All users are allowed in the field of type user
    `static String` | `FIELD_USER_FILTER_PROJECT_MEMBER` only project members are allowed in the field of type user
    `static String` | `FIELD_VALUE_TYPE_DATE` Possible field value type (applies to FIELD_TYPE_DATE only).
    `static String` | `FIELD_VALUE_TYPE_INTEGER` Possible field value type (applies to TEXT_FIELD only).
    `static String` | `FIELD_VALUE_TYPE_STRING` Possible field value type (applies to TEXT_FIELD only).
    `static String` | `FIELD_VALUE_TYPE_USER` Possible field value type (applies to FIELD_TYPE_MULTISELECT_USER only).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackerFieldSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultTextValue()` Returns 'defaultTextValue'.
    `String[]` | `getDefaultUsernames()` Returns 'defaultUsernames'.
    `boolean` | `getDisabled()` Returns 'disabled'.
    `int` | `getDisplayLines()` Returns 'displayLines'.
    `int` | `getDisplaySize()` Returns 'displaySize'.
    `String` | `getFieldType()` Returns 'fieldType'.
    `TrackerFieldValueSoapDO[]` | `getFieldValues()` Returns 'fieldValues'.
    `String` | `getHelpText()` Returns 'helpText'.
    `boolean` | `getHiddenOnCreate()` Returns 'hiddenOnCreate'.
    `String` | `getName()` Returns 'name'.
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getParentChildFieldValueMap()` Returns 'parentChildFieldValueMap'.
    `String` | `getParentFieldId()` Returns 'parentFieldId'.
    `String` | `getPattern()` Returns 'pattern'.
    `boolean` | `getRequired()` Returns 'required'.
    `String` | `getUserFilter()` Returns 'userFilter'.
    `String` | `getValueType()` Returns 'valueType'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDefaultTextValue(String defaultTextValue)` Sets 'defaultTextValue'.
    `void` | `setDefaultUsernames(String[] defaultUsernames)` Sets 'defaultUsernames'.
    `void` | `setDisabled(boolean disabled)` Sets 'disabled'.
    `void` | `setDisplayLines(int displayLines)` Sets 'displayLines'.
    `void` | `setDisplaySize(int displaySize)` Sets 'displaySize'.
    `void` | `setFieldType(String fieldType)` Sets 'fieldType'.
    `void` | `setFieldValues(TrackerFieldValueSoapDO[] fieldValues)` Sets 'fieldValues'.
    `void` | `setHelpText(String helpText)` Sets 'helpText'.
    `void` | `setHiddenOnCreate(boolean hiddenOnCreate)` Sets 'hiddenOnCreate'.
    `void` | `setName(String name)` Sets 'name'.
    `void` | `setParentChildFieldValueMap(com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap)` Sets 'parentChildFieldValueMap'.
    `void` | `setParentFieldId(String parentFieldId)` Sets 'parentFieldId'.
    `void` | `setPattern(String pattern)` Sets 'pattern'.
    `void` | `setRequired(boolean required)` Sets 'required'.
    `void` | `setUserFilter(String userFilter)` Sets 'userFilter'.
    `void` | `setValueType(String valueType)` Sets 'valueType'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_TYPE_TEXT

          public static final String FIELD_TYPE_TEXT

      Field type is plain text (integer or string).
      See Also:
        Constant Field Values

    - #### FIELD_TYPE_FOLDER

          public static final String FIELD_TYPE_FOLDER

      Field type is a folder (planning folder).
      See Also:
        Constant Field Values

    - #### FIELD_TYPE_SINGLE_SELECT

          public static final String FIELD_TYPE_SINGLE_SELECT

      Field type is single select (choice of values).
      See Also:
        Constant Field Values

    - #### FIELD_TYPE_MULTISELECT

          public static final String FIELD_TYPE_MULTISELECT

      Field type is a multiselect (multiple choice of values).
      See Also:
        Constant Field Values

    - #### FIELD_TYPE_MULTISELECT_USER

          public static final String FIELD_TYPE_MULTISELECT_USER

      Field type is multiselect username (multiple choice of usernames).
      See Also:
        Constant Field Values

    - #### FIELD_TYPE_DATE

          public static final String FIELD_TYPE_DATE

      Field type is date.
      See Also:
        Constant Field Values

    - #### FIELD_VALUE_TYPE_STRING

          public static final String FIELD_VALUE_TYPE_STRING

      Possible field value type (applies to TEXT_FIELD only).
      See Also:
        Constant Field Values

    - #### FIELD_VALUE_TYPE_INTEGER

          public static final String FIELD_VALUE_TYPE_INTEGER

      Possible field value type (applies to TEXT_FIELD only).
      See Also:
        Constant Field Values

    - #### FIELD_VALUE_TYPE_USER

          public static final String FIELD_VALUE_TYPE_USER

      Possible field value type (applies to FIELD_TYPE_MULTISELECT_USER only).
      See Also:
        Constant Field Values

    - #### FIELD_VALUE_TYPE_DATE

          public static final String FIELD_VALUE_TYPE_DATE

      Possible field value type (applies to FIELD_TYPE_DATE only).
      See Also:
        Constant Field Values

    - #### FIELD_USER_FILTER_PROJECT_MEMBER

          public static final String FIELD_USER_FILTER_PROJECT_MEMBER

      only project members are allowed in the field of type user
      See Also:
        Constant Field Values

    - #### FIELD_USER_FILTER_ALL

          public static final String FIELD_USER_FILTER_ALL

      All users are allowed in the field of type user
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TrackerFieldSoapDO

          public TrackerFieldSoapDO()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns 'name'. Name of the field.
      Returns:
        Value of 'name'.

    - #### setName

          public void setName(String name)

      Sets 'name'. Name of the field.
      Parameters:
        `name` - Value of 'name'.

    - #### getFieldType

          public String getFieldType()

      Returns 'fieldType'. Type of field: FIELD_TYPE_TEXT, FIELD_TYPE_SINGLE_SELECT, FIELD_TYPE_MULTISELECT, FIELD_TYPE_MULTISELECT_USER, FIELD_TYPE_FOLDER or FIELD_TYPE_DATE .
      Returns:
        Value of 'fieldType'.

    - #### setFieldType

          public void setFieldType(String fieldType)

      Sets 'fieldType'. Type of field: FIELD_TYPE_TEXT, FIELD_TYPE_SINGLE_SELECT, FIELD_TYPE_MULTISELECT, FIELD_TYPE_MULTISELECT_USER, FIELD_TYPE_FOLDER or FIELD_TYPE_DATE .
      Parameters:
        `fieldType` - Value of 'fieldType'.

    - #### getValueType

          public String getValueType()

      Returns 'valueType'. Field value type: FIELD_VALUE_TYPE_STRING, FIELD_VALUE_TYPE_INTEGER, FIELD_VALUE_TYPE_USER or FIELD_VALUE_TYPE_DATE.
      Returns:
        Value of 'valueType'.

    - #### setValueType

          public void setValueType(String valueType)

      Sets 'valueType'. Field value type: FIELD_VALUE_TYPE_STRING, FIELD_VALUE_TYPE_INTEGER, FIELD_VALUE_TYPE_USER or FIELD_VALUE_TYPE_DATE.
      Parameters:
        `valueType` - Value of 'valueType'.

    - #### getRequired

          public boolean getRequired()

      Returns 'required'. Specifies if field requires a value.
      Returns:
        Value of 'required'.

    - #### setRequired

          public void setRequired(boolean required)

      Sets 'required'. Specifies if field requires a value.
      Parameters:
        `required` - Value of 'required'.

    - #### getDisabled

          public boolean getDisabled()

      Returns 'disabled'. Specifies if field is disabled.
      Returns:
        Value of 'disabled'.

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Sets 'disabled'. Specifies if field is disabled.
      Parameters:
        `disabled` - Value of 'disabled'.

    - #### getHiddenOnCreate

          public boolean getHiddenOnCreate()

      Returns 'hiddenOnCreate'. Specifies if field is hidden on create.
      Returns:
        Value of 'hiddenOnCreate'.

    - #### setHiddenOnCreate

          public void setHiddenOnCreate(boolean hiddenOnCreate)

      Sets 'hiddenOnCreate'. Specifies if field is hidden on create.
      Parameters:
        `hiddenOnCreate` - Value of 'hiddenOnCreate'.

    - #### getFieldValues

          public TrackerFieldValueSoapDO[] getFieldValues()

      Returns 'fieldValues'. Array of field values.
      Returns:
        Value of 'fieldValues'.

    - #### setFieldValues

          public void setFieldValues(TrackerFieldValueSoapDO[] fieldValues)

      Sets 'fieldValues'. Array of field values.
      Parameters:
        `fieldValues` - Value of 'fieldValues'.

    - #### getParentFieldId

          public String getParentFieldId()

      Returns 'parentFieldId'. Id of the parent field.
      Returns:
        Value of 'parentFieldId'.

    - #### setParentFieldId

          public void setParentFieldId(String parentFieldId)

      Sets 'parentFieldId'. Id of the parent field.
      Parameters:
        `parentFieldId` - Value of 'parentFieldId'.

    - #### getParentChildFieldValueMap

          public com.collabnet.ce.soap60.types.SoapNamedValues getParentChildFieldValueMap()

      Returns 'parentChildFieldValueMap'. Mapping between parent field values and child field values.
      Returns:
        Value of 'parentChildFieldValueMap'.

    - #### setParentChildFieldValueMap

          public void setParentChildFieldValueMap(com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap)

      Sets 'parentChildFieldValueMap'. Mapping between parent field values and child field values.
      Parameters:
        `parentChildFieldValueMap` - Value of 'parentChildFieldValueMap'.

    - #### getDisplaySize

          public int getDisplaySize()

      Returns 'displaySize'. The display size value for the field
      Returns:
        Value of 'displaySize'.

    - #### setDisplaySize

          public void setDisplaySize(int displaySize)

      Sets 'displaySize'. The display size value for the field
      Parameters:
        `displaySize` - Value of 'displaySize'.

    - #### getDisplayLines

          public int getDisplayLines()

      Returns 'displayLines'. The number of lines to display for the field
      Returns:
        Value of 'displayLines'.

    - #### setDisplayLines

          public void setDisplayLines(int displayLines)

      Sets 'displayLines'. The number of lines to display for the field
      Parameters:
        `displayLines` - Value of 'displayLines'.

    - #### getDefaultTextValue

          public String getDefaultTextValue()

      Returns 'defaultTextValue'.
      Returns:
        Value of 'defaultTextValue'.

    - #### setDefaultTextValue

          public void setDefaultTextValue(String defaultTextValue)

      Sets 'defaultTextValue'.
      Parameters:
        `defaultTextValue` - Value of 'defaultTextValue'.

    - #### getUserFilter

          public String getUserFilter()

      Returns 'userFilter'. FIELD_USER_FILTER_PROJECT_MEMBER or FIELD_USER_FILTER_ALL
      Returns:
        Value of 'userFilter'.

    - #### setUserFilter

          public void setUserFilter(String userFilter)

      Sets 'userFilter'. FIELD_USER_FILTER_PROJECT_MEMBER or FIELD_USER_FILTER_ALL
      Parameters:
        `userFilter` - Value of 'userFilter'.

    - #### getDefaultUsernames

          public String[] getDefaultUsernames()

      Returns 'defaultUsernames'. Array of usernames to be default value (applies to FIELD_TYPE_MULTISELECT_USER only).
      Returns:
        Value of 'defaultUsernames'.

    - #### setDefaultUsernames

          public void setDefaultUsernames(String[] defaultUsernames)

      Sets 'defaultUsernames'. Array of usernames to be default value (applies to FIELD_TYPE_MULTISELECT_USER only).
      Parameters:
        `defaultUsernames` - Value of 'defaultUsernames'.

    - #### getHelpText

          public String getHelpText()

      Returns 'helpText'. The help text for the field
      Returns:
        Value of 'helpText'.

    - #### setHelpText

          public void setHelpText(String helpText)

      Sets 'helpText'. The help text for the field
      Parameters:
        `helpText` - Value of 'helpText'.

    - #### getPattern

          public String getPattern()

      Returns 'pattern'. The pattern used to validate the field value
      Returns:
        Value of 'pattern'.

    - #### setPattern

          public void setPattern(String pattern)

      Sets 'pattern'. The pattern used to validate the field value
      Parameters:
        `pattern` - Value of 'pattern'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.